Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand Class Reference
Inheritance diagram for EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand:

## Public Member Functions
| __construct (Connection $db, array $installers, CacheItemPoolInterface $cachePool, $environment, RepositoryConfigurationProvider $repositoryConfigurationProvider)

## Public Attributes
const | EXIT_GENERAL_DATABASE_ERROR = 4
const | EXIT_PARAMETERS_NOT_FOUND = 5
const | EXIT_UNKNOWN_INSTALL_TYPE = 6
const | EXIT_MISSING_PERMISSIONS = 7

## Protected Member Functions
| configure ()
| execute (InputInterface $input, OutputInterface $output)

## Private Member Functions
| checkPermissions ()
| checkParameters ()
| checkCreateDatabase (OutputInterface $output)
| cacheClear (OutputInterface $output)
| Clear all content related cache (persistence cache). More...
| indexData (OutputInterface $output, $siteaccess=null)
| Calls indexing commands. More...
| getInstaller ($type)
| executeCommand (OutputInterface $output, $cmd, $timeout=300)
| Executes a Symfony command in separate process. More...

## Private Attributes
| $db
| $output
| $cachePool
| $environment
| $installers = []
| $repositoryConfigurationProvider

## Detailed Description

Definition at line 21 of file InstallPlatformCommand.php.

## Constructor & Destructor Documentation

## ◆ __construct()

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::__construct | ( | Connection | $db,
|  | array | $installers,
|  | CacheItemPoolInterface | $cachePool,
|  |  | $environment,
|  | RepositoryConfigurationProvider | $repositoryConfigurationProvider
| ) |  |

Definition at line 46 of file InstallPlatformCommand.php.

References EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\$cachePool, EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\$db, EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\$environment, EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\$installers, and EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\$repositoryConfigurationProvider.

## Member Function Documentation

## ◆ cacheClear()

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::cacheClear | ( | OutputInterface | $output | ) |
| private

Clear all content related cache (persistence cache).

Parameters

  OutputInterface | $output |

Definition at line 156 of file InstallPlatformCommand.php.

Referenced by EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\execute().

## ◆ checkCreateDatabase()

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::checkCreateDatabase | ( | OutputInterface | $output | ) |
| private

Definition at line 124 of file InstallPlatformCommand.php.

References EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\$output, and EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\executeCommand().

Referenced by EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\execute().

## ◆ checkParameters()

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::checkParameters | ( |  | ) |
| private

Definition at line 115 of file InstallPlatformCommand.php.

Referenced by EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\execute().

## ◆ checkPermissions()

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::checkPermissions | ( |  | ) |
| private

Definition at line 107 of file InstallPlatformCommand.php.

Referenced by EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\execute().

## ◆ configure()

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::configure | ( |  | ) |
| protected

Definition at line 61 of file InstallPlatformCommand.php.

## ◆ execute()

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::execute | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |
| protected

Definition at line 77 of file InstallPlatformCommand.php.

References EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\$output, EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\cacheClear(), EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\checkCreateDatabase(), EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\checkParameters(), EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\checkPermissions(), EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\getInstaller(), and EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\indexData().

## ◆ executeCommand()

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::executeCommand | ( | OutputInterface | $output,
|  |  | $cmd,
|  |  | $timeout = `300`
| ) |  |
| private

Executes a Symfony command in separate process.

Typically useful when configuration has changed, or you are outside of Symfony context (Composer commands).

Based on {

See also
  \Sensio\Bundle\DistributionBundle\Composer\ScriptHandler::executeCommand}.

Parameters

  OutputInterface | $output |
  string | $cmd | eZ Platform command to execute, like 'ezplatform:solr_create_index' Escape any user provided arguments, like: 'assets:install '.escapeshellarg($webDir)
  int | $timeout |

Definition at line 213 of file InstallPlatformCommand.php.

References EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\$output.

Referenced by EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\checkCreateDatabase(), and EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\indexData().

## ◆ getInstaller()

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::getInstaller | ( |  | $type | ) |
| private

Parameters

  $type |

Returns
  \EzSystems\PlatformInstallerBundle\Installer\Installer

Definition at line 192 of file InstallPlatformCommand.php.

Referenced by EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\execute().

## ◆ indexData()

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::indexData | ( | OutputInterface | $output,
|  |  | $siteaccess = `null`
| ) |  |
| private

Calls indexing commands.

Todo:
  This should not be needed once/if the Installer starts using API in the future. So temporary measure until it is not raw SQL based for the data itself (as opposed to the schema). This is done after cache clearing to make sure no cached data from before sql import is used.

IMPORTANT: This is done using a command because config has change, so container and all services are different.

Parameters

  OutputInterface | $output |
  string | null | $siteaccess |

Definition at line 173 of file InstallPlatformCommand.php.

References EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\$output, and EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\executeCommand().

Referenced by EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\execute().

## Member Data Documentation

## ◆ $cachePool

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::$cachePool
| private

Definition at line 30 of file InstallPlatformCommand.php.

Referenced by EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\__construct().

## ◆ $db

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::$db
| private

Definition at line 24 of file InstallPlatformCommand.php.

Referenced by EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\__construct().

## ◆ $environment

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::$environment
| private

Definition at line 33 of file InstallPlatformCommand.php.

Referenced by EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\__construct().

## ◆ $installers

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::$installers = []
| private

Definition at line 36 of file InstallPlatformCommand.php.

Referenced by EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\__construct().

## ◆ $output

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::$output
| private

Definition at line 27 of file InstallPlatformCommand.php.

Referenced by EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\checkCreateDatabase(), EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\execute(), EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\executeCommand(), and EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\indexData().

## ◆ $repositoryConfigurationProvider

EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::$repositoryConfigurationProvider
| private

Definition at line 39 of file InstallPlatformCommand.php.

Referenced by EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand\__construct().

## ◆ EXIT_GENERAL_DATABASE_ERROR

const EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::EXIT_GENERAL_DATABASE_ERROR = 4

Definition at line 41 of file InstallPlatformCommand.php.

## ◆ EXIT_MISSING_PERMISSIONS

const EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::EXIT_MISSING_PERMISSIONS = 7

Definition at line 44 of file InstallPlatformCommand.php.

## ◆ EXIT_PARAMETERS_NOT_FOUND

const EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::EXIT_PARAMETERS_NOT_FOUND = 5

Definition at line 42 of file InstallPlatformCommand.php.

## ◆ EXIT_UNKNOWN_INSTALL_TYPE

const EzSystems\PlatformInstallerBundle\Command\InstallPlatformCommand::EXIT_UNKNOWN_INSTALL_TYPE = 6

Definition at line 43 of file InstallPlatformCommand.php.

The documentation for this class was generated from the following file:

- InstallPlatformCommand.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.